%define upstream_name	 Text-RecordParser
%define upstream_version v1.6.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Read record-oriented files
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Class::Accessor)
BuildRequires:	perl(IO::Scalar)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Pod::Markdown)
BuildRequires:	perl(Pod::Readme)
BuildRequires:	perl(Readonly)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(version)

BuildArch:	noarch


%description
This module is for reading record-oriented data in a delimited text
file. The most common example have records separated by newlines and
fields separated by commas or tabs, but this module aims to provide a
consistent interface for handling sequential records in a file however
they may be delimited. Typically this data lists the fields in the
first line of the file, in which case you should call bind_header to
bind the field name (or not, and it will be called implicitly). If the
first line contains data, you can still bind your own field names via
bind_fields. Either way, you can then use many methods to get at the
data as arrays or hashes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_bindir}/tab*
%{perl_vendorlib}/Text
%{_mandir}/man*/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.6.3-2.mga4
+ Revision: 531863
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 1.6.3-1.mga4
+ Revision: 465679
- update to v1.6.3

* Sun Jan 13 2013 umeabot <umeabot> 1.5.0-2.mga3
+ Revision: 374145
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.5.0-1.mga1
+ Revision: 32486
- mageia rebuild
- imported package perl-Text-RecordParser

